Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ComboBoxUI
                  |
                  +--javax.swing.plaf.basic.BasicComboBoxUI
                        |
                        +--javax.swing.plaf.metal.MetalComboBoxUI

public class MetalComboBoxUI
extends BasicComboBoxUI

Metal UI for JComboBox

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `MetalComboBoxListCellRenderer`, `MetalPopupMenuBorder`

Inner Class Summary
`class` | `MetalComboBoxUI.MetalComboBoxLayoutManager` This inner class is marked "public" due to a compiler bug.
`class` | `MetalComboBoxUI.MetalComboPopup` This inner class is marked "public" due to a compiler bug.
`class` | `MetalComboBoxUI.MetalPropertyChangeListener` This inner class is marked "public" due to a compiler bug.

Inner classes inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`BasicComboBoxUI.ComboBoxLayoutManager, BasicComboBoxUI.FocusHandler, BasicComboBoxUI.ItemHandler, BasicComboBoxUI.KeyHandler, BasicComboBoxUI.ListDataHandler, BasicComboBoxUI.PropertyChangeHandler`

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`arrowButton, cachedMinimumSize, comboBox, currentValuePane, editor, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener`

Constructor Summary
`MetalComboBoxUI()`

Method Summary
`void` | `configureArrowButton()`
`void` | `configureEditor()`
`protected JButton` | `createArrowButton()`
`protected ComboBoxEditor` | `createEditor()`
`protected java.awt.LayoutManager` | `createLayoutManager()`
`protected ComboPopup` | `createPopup()`
`java.beans.PropertyChangeListener` | `createPropertyChangeListener()`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `editablePropertyChanged(java.beans.PropertyChangeEvent e)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`protected void` | `installKeyboardActions()`
`protected void` | `installListeners()`
`void` | `installUI(JComponent c)`
`boolean` | `isFocusTraversable(JComboBox c)`
`void` | `layoutComboBox(java.awt.Container parent, MetalComboBoxUI.MetalComboBoxLayoutManager manager)`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `removeListeners()`
`protected void` | `selectNextPossibleValue()`
`protected void` | `selectPreviousPossibleValue()`
`void` | `unconfigureArrowButton()`
`void` | `unconfigureEditor()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`addEditor, createFocusListener, createItemListener, createKeyListener, createListDataListener, createRenderer, getAccessibleChild, getAccessibleChildrenCount, getDefaultSize, getDisplaySize, getInsets, getMaximumSize, getPreferredSize, installComponents, installDefaults, isNavigationKey, isPopupVisible, paintCurrentValue, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, setPopupVisible, toggleOpenClose, uninstallComponents, uninstallDefaults`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxUI

    public MetalComboBoxUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class BasicComboBoxUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class BasicComboBoxUI

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class BasicComboBoxUI

### createEditor

    protected ComboBoxEditor createEditor()

  Overrides:
    createEditor in class BasicComboBoxUI

### createPopup

    protected ComboPopup createPopup()

  Overrides:
    createPopup in class BasicComboBoxUI

### createArrowButton

    protected JButton createArrowButton()

  Overrides:
    createArrowButton in class BasicComboBoxUI

### createPropertyChangeListener

    public java.beans.PropertyChangeListener createPropertyChangeListener()

  Overrides:
    createPropertyChangeListener in class BasicComboBoxUI

### editablePropertyChanged

    protected void editablePropertyChanged(java.beans.PropertyChangeEvent e)

### createLayoutManager

    protected java.awt.LayoutManager createLayoutManager()

  Overrides:
    createLayoutManager in class BasicComboBoxUI

### layoutComboBox

    public void layoutComboBox(java.awt.Container parent,
                               MetalComboBoxUI.MetalComboBoxLayoutManager manager)

### isFocusTraversable

    public boolean isFocusTraversable(JComboBox c)

  Overrides:
    isFocusTraversable in class BasicComboBoxUI

### installListeners

    protected void installListeners()

  Overrides:
    installListeners in class BasicComboBoxUI

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    uninstallListeners in class BasicComboBoxUI

### removeListeners

    protected void removeListeners()

### configureEditor

    public void configureEditor()

  Overrides:
    configureEditor in class BasicComboBoxUI

### unconfigureEditor

    public void unconfigureEditor()

  Overrides:
    unconfigureEditor in class BasicComboBoxUI

### configureArrowButton

    public void configureArrowButton()

  Overrides:
    configureArrowButton in class BasicComboBoxUI

### unconfigureArrowButton

    public void unconfigureArrowButton()

  Overrides:
    unconfigureArrowButton in class BasicComboBoxUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class BasicComboBoxUI

### selectNextPossibleValue

    protected void selectNextPossibleValue()

  Overrides:
    selectNextPossibleValue in class BasicComboBoxUI

### selectPreviousPossibleValue

    protected void selectPreviousPossibleValue()

  Overrides:
    selectPreviousPossibleValue in class BasicComboBoxUI

### installKeyboardActions

    protected void installKeyboardActions()

  Overrides:
    installKeyboardActions in class BasicComboBoxUI

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

  Overrides:
    uninstallKeyboardActions in class BasicComboBoxUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.